# TODO: junit QA tests

Name:           jfreechart
Version:        1.0.13
Release:        %mkrel 4
Summary:        Java chart library

Group:          Development/Java
License:        LGPLv2+
URL:            http://www.jfree.org/jfreechart/
Source0:        http://download.sourceforge.net/sourceforge/jfreechart/%{name}-%{version}.tar.gz
Source1:        http://mirrors.ibiblio.org/pub/mirrors/maven2/jfree/jfreechart/%{version}/jfreechart-%{version}.pom
Requires:       servlet jcommon java jpackage-utils
BuildRequires:  %{requires} ant java-devel eclipse-swt

BuildArch:      noarch

%description
JFreeChart is a free 100% Java chart library that makes it easy for
developers to display professional quality charts in their applications.


%package swt
Summary:        Experimental swt extension for jfreechart
Group:          Development/Java
Requires:       %{name} = %{version}-%{release}
Requires:       eclipse-swt jpackage-utils

%description swt
Experimental swt extension for jfreechart.


%package javadoc
Summary:        Javadocs for %{name}
Group:          Development/Java
Requires:       %{name} = %{version}-%{release}
Requires:       jpackage-utils

%description javadoc
This package contains the API documentation for %{name}.


%prep
%setup -q


%build
# Erase prebuilt files
find \( -name '*.jar' -o -name '*.class' \) -exec rm -f '{}' \;

# Build
CLASSPATH=$(build-classpath jcommon servlet) \
        ant -f ant/build.xml \
        compile javadoc
ant -f ant/build-swt.xml \
        -Dswt.jar=%{_libdir}/java/swt.jar \
        -Djcommon.jar=$(build-classpath jcommon) \
        -Djfreechart.jar=lib/jfreechart-%{version}.jar


%install
rm -rf %buildroot
# Directory structure
install -d %buildroot%{_javadir}/%{name}
install -d %buildroot%{_javadocdir}/%{name}

# JARs and JavaDoc
install -m 644 lib/jfreechart-%{version}.jar  %buildroot%{_javadir}/%{name}/%{name}.jar
install -m 644 lib/swtgraphics2d.jar  %buildroot%{_javadir}/%{name}/swtgraphics2d.jar
install -m 644 lib/jfreechart-%{version}-swt.jar  %buildroot%{_javadir}/%{name}/%{name}-swt.jar
cp -rp javadoc/. %buildroot%{_javadocdir}/%{name}

mkdir -p %{buildroot}%{_mavenpomdir}
install -pm 644 %{SOURCE1} %{buildroot}%{_mavenpomdir}/JPP.%{name}-%{name}.pom
%add_maven_depmap JPP.%{name}-%{name}.pom %{name}/%{name}.jar

%clean
rm -rf %buildroot

%post
%update_maven_depmap

%postun
%update_maven_depmap

%files
%dir %{_javadir}/%{name}
%{_javadir}/%{name}/%{name}.jar
%{_mavenpomdir}/*
%{_mavendepmapfragdir}/*
%doc ChangeLog licence-LGPL.txt NEWS README.txt

%files swt
%{_javadir}/%{name}/swtgraphics2d*.jar
%{_javadir}/%{name}/%{name}-swt*.jar

%files javadoc
%{_javadocdir}/%{name}


%changelog
* Tue Aug 09 2011 gil <gil> 1.0.13-4.mga2
+ Revision: 132408
- added maven2 pom

  + dmorgan <dmorgan>
    - Remove gcj support
    - imported package jfreechart


* Wed Feb 09 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0.13-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Mon Apr 19 2010 Lubomir Rintel <lkundrak@v3.sk> - 1.0.13-1
- Update to a later release
- Cosmetic fixes

* Mon Apr 19 2010 Lubomir Rintel <lkundrak@v3.sk> - 1.0.10-4
- Enable SWT support (ELMORABITY Mohamed, #583339)

* Fri Jul 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0.10-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Wed Feb 25 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0.10-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Sat Jul 19 2008 Lubomir Rintel (Fedora Astronomy) <lkundrak@fedoraproject.org> - 1.0.10-1
- Initial packaging
